%define fw_version 5.43

Summary:	KDE Frameworks 5 media player features plugin interface
Name:		kmediaplayer
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kparts-devel >= %{version}
BuildRequires:	kxmlgui-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 media player features plugin interface.

KMediaPlayer builds on the KParts framework to provide a common interface
for KParts that can play media files.

%files
%{_kde5_servicetypes}/kmediaplayer.desktop
%{_kde5_servicetypes}/kmediaplayerengine.desktop

#----------------------------------------------------------------------------

%define kf5mediaplayer_major 5
%define libkf5mediaplayer %mklibname kf5mediaplayer %{kf5mediaplayer_major}

%package -n %{libkf5mediaplayer}
Summary:	KDE Frameworks 5 KMediaPlayer media player shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5mediaplayer}
KDE Frameworks 5 media player shared library.

%files -n %{libkf5mediaplayer}
%{_kde5_libdir}/libKF5MediaPlayer.so.%{kf5mediaplayer_major}*

#----------------------------------------------------------------------------

%define devkf5mediaplayer %mklibname kf5mediaplayer -d

%package -n %{devkf5mediaplayer}
Summary:	Development files for KDE Frameworks 5 media player interface
Group:		Development/KDE and Qt
Requires:	%{libkf5mediaplayer} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5mediaplayer-devel = %{version}

%description -n %{devkf5mediaplayer}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5mediaplayer}
%{_kde5_includedir}/KF5/KMediaPlayer
%{_kde5_includedir}/KF5/kmediaplayer_version.h
%{_kde5_libdir}/cmake/KF5MediaPlayer
%{_kde5_libdir}/libKF5MediaPlayer.so
%{_datadir}/dbus-1/interfaces/kf5_org.kde.KMediaPlayer.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Tue Feb 13 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (72777d2) New version 5.43.0

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (6615f9f) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (fe95d0c) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (88ec049) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (97920f1) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (e571bc7) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (7af67ba) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (fcaf74f) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (ddb385b) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (3991dc7) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (cecd5d2) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (be8929a) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (bd8e086) MassBuild#1023: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (b2ee9f0) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (360e83a) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (88c372e) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (e99f34c) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (1cbada3) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (f86cedc) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (2d378b8) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (296eca0) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (a0a04d7) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (7b4ad15) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (e99c3a0) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (7218c1f) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (705e16c) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (c5f4cf1) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (2692e70) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (0ba7191) New version 5.8.0

* Fri Mar 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-3
- (ac1a841) MassBuild#682: Increase release tag


